Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

## Serial.begin(int speed)

#### Description

Sets the data rate in bits per second (baud) for serial data transmission. For communicating with the computer, use one of these rates: 300, 1200, 2400, 4800, 9600, 14400, 19200, 28800, 38400, 57600, or 115200. You can, however, specify other rates - for example, to communicate over pins 0 and 1 with a component that requires a particular baud rate.

#### Parameters

long datarate, in bits per second (baud)

#### Returns

nothing

### Example:

    void setup() {
    	Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
    }

    void loop() {}

Arduino Mega example:

    // Arduino Mega using all four of its Serial ports
    // (Serial, Serial1, Serial2, Serial3),
    // with different baud rates:

    void setup(){
      Serial.begin(9600);
      Serial1.begin(38400);
      Serial2.begin(19200);
      Serial3.begin(4800);

      Serial.println("Hello Computer");
      Serial1.println("Hello Serial 1");
      Serial2.println("Hello Serial 2");
      Serial3.println("Hello Serial 3");
    }

    void loop() {}

Thanks to Jeff Gray for the mega example

#### See also

- Serial.available()
- Serial.read()
- Serial.print(data)
- Serial.println(data)

Reference Home

Edit Page | Page History | Printable View | All Recent Site Changes